Bug 186834 - gconf-editor freeze
gconf-editor freeze
Status: CLOSED DUPLICATE of bug 186479
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 187219 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 19:22 EST by Marcin Grabda
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 00:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of gconf-editor (3.86 KB, text/plain)
2006-03-26 19:36 EST, Marcin Grabda
no flags Details

  None (edit)
Description Marcin Grabda 2006-03-26 19:22:44 EST
Description of problem:

In newest version of gconf-editor (in FC5) when I click on any option gconf freezes.


Version-Release number of selected component (if applicable):
2.14.0 rel-1


Steps to Reproduce:
1. Run Gconf-editor
2. Change any option
  
Actual results:
Program freezes

Expected results:
Program not freezes :)

Additional info:
I run FC5 with all up to date updates.
Comment 1 Marcin Grabda 2006-03-26 19:36:01 EST
Here is output from console:

*** glibc detected *** gconf-editor: double free or corruption (out):
0x09891380 ***
======= Backtrace: =========
/lib/libc.so.6[0x903f18]
/lib/libc.so.6(__libc_free+0x79)[0x90741d]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0x7144d1]
gconf-editor[0x80542a4]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x2a7f6d]
/usr/lib/libgobject-2.0.so.0[0x2b8a3d]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x2b9f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x2ba109]
gconf-editor[0x8050a4e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_cell_renderer_activate+0xb0)[0xeff500]
/usr/lib/libgtk-x11-2.0.so.0[0x109fa2b]
/usr/lib/libgtk-x11-2.0.so.0[0x109fcef]
/usr/lib/libgtk-x11-2.0.so.0[0x109c2fa]
/usr/lib/libgtk-x11-2.0.so.0[0xfc34de]
/usr/lib/libgobject-2.0.so.0[0x2a67a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x2a7f6d]
/usr/lib/libgobject-2.0.so.0[0x2b9083]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x2b9d0f]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x2ba109]
/usr/lib/libgtk-x11-2.0.so.0[0x10ae028]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x183)[0xfbcec3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317)[0xfbe117]
/usr/lib/libgdk-x11-2.0.so.0[0x42093a]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16d)[0x70d09d]
/usr/lib/libglib-2.0.so.0[0x71032f]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x7106d9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0xfbe594]
gconf-editor[0x805d8fc]
/lib/libc.so.6(__libc_start_main+0xdc)[0x8b57e4]
gconf-editor[0x804f531]
======= Memory map: ========
00111000-00119000 r-xp 00000000 03:03 758291
/usr/lib/libpangocairo-1.0.so.0.1200.0
00119000-0011a000 rwxp 00007000 03:03 758291
/usr/lib/libpangocairo-1.0.so.0.1200.0
0011a000-0011c000 r-xp 00000000 03:03 847007     /lib/libdl-2.4.so
0011c000-0011d000 r-xp 00001000 03:03 847007     /lib/libdl-2.4.so
0011d000-0011e000 rwxp 00002000 03:03 847007     /lib/libdl-2.4.so
0011e000-00128000 r-xp 00000000 03:03 758656     /usr/lib/libesd.so.0.2.36
00128000-00129000 rwxp 00009000 03:03 758656     /usr/lib/libesd.so.0.2.36
00129000-00135000 r-xp 00000000 03:03 758453
/usr/lib/libgnome-keyring.so.0.0.1
00135000-00136000 rwxp 0000b000 03:03 758453
/usr/lib/libgnome-keyring.so.0.0.1
00136000-0015d000 r-xp 00000000 03:03 758293
/usr/lib/libpangoft2-1.0.so.0.1200.0
0015d000-0015e000 rwxp 00027000 03:03 758293
/usr/lib/libpangoft2-1.0.so.0.1200.0
0015e000-0019a000 r-xp 00000000 03:03 758289
/usr/lib/libpango-1.0.so.0.1200.0
0019a000-0019c000 rwxp 0003b000 03:03 758289
/usr/lib/libpango-1.0.so.0.1200.0
0019c000-00200000 r-xp 00000000 03:03 762619
/usr/lib/libgnomevfs-2.so.0.1400.0
00200000-00205000 rwxp 00064000 03:03 762619
/usr/lib/libgnomevfs-2.so.0.1400.0
00205000-0025f000 r-xp 00000000 03:03 754353
/usr/lib/libbonobo-2.so.0.0.0
0025f000-00269000 rwxp 0005a000 03:03 754353
/usr/lib/libbonobo-2.so.0.0.0
00269000-0029c000 r-xp 00000000 03:03 758846
/usr/lib/libgconf-2.so.4.1.0
0029c000-0029f000 rwxp 00033000 03:03 758846
/usr/lib/libgconf-2.so.4.1.0
0029f000-002dd000 r-xp 00000000 03:03 752640
/usr/lib/libgobject-2.0.so.0.1000.1
002dd000-002de000 rwxp 0003e000 03:03 752640
/usr/lib/libgobject-2.0.so.0.1000.1
002de000-002f1000 r-xp 00000000 03:03 754355
/usr/lib/libbonobo-activation.so.4.0.0
002f1000-002f3000 rwxp 00013000 03:03 754355
/usr/lib/libbonobo-activation.so.4.0.0
002f3000-00341000 r-xp 00000000 03:03 753607
/usr/lib/libORBit-2.so.0.1.0
00341000-0034a000 rwxp 0004e000 03:03 753607
/usr/lib/libORBit-2.so.0.1.0
0034a000-0034b000 rwxp 0034a000 00:00 0
0034b000-0035a000 r-xp 00000000 03:03 752967     /usr/lib/libXext.so.6.4.0
0035a000-0035b000 rwxp 0000e000 03:03 752967     /usr/lib/libXext.so.6.4.0
0035d000-0036f000 r-xp 00000000 03:03 752634     /usr/lib/libz.so.1.2.3
0036f000-00370000 rwxp 00011000 03:03 752634     /usr/lib/libz.so.1.2.3
00370000-00391000 r-xp 00000000 03:03 752886     /usr/lib/libjpeg.so.62.0.0
00391000-00392000 rwxp 00020000 03:03 752886 
Comment 2 Marcin Grabda 2006-03-26 19:36:58 EST
Created attachment 126779 [details]
backtrace of gconf-editor
Comment 3 Austin Jackson 2006-03-26 20:08:29 EST
I can confirm the above bug in gconf-editor 2.14.0.  This bug first appeared
after installing the 3/24/06 set of updates.

My console output:

*** glibc detected *** gconf-editor: free(): invalid pointer: 0x089c7aa0 ***
======= Backtrace: =========
/lib/libc.so.6[0x9c2f18]
/lib/libc.so.6(__libc_free+0x79)[0x9c641d]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb024d1]
gconf-editor[0x80542a4]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0xb7ff6d]
/usr/lib/libgobject-2.0.so.0[0xb90a3d]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0xb91f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xb92109]
gconf-editor[0x8050a4e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_cell_renderer_activate+0xb0)[0x1df500]
/usr/lib/libgtk-x11-2.0.so.0[0x37fa2b]
/usr/lib/libgtk-x11-2.0.so.0[0x37fcef]
/usr/lib/libgtk-x11-2.0.so.0[0x37c2fa]
/usr/lib/libgtk-x11-2.0.so.0[0x2a34de]
/usr/lib/libgobject-2.0.so.0[0xb7e7a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0xb7ff6d]
/usr/lib/libgobject-2.0.so.0[0xb91083]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0xb91d0f]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xb92109]
/usr/lib/libgtk-x11-2.0.so.0[0x38e028]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x183)[0x29cec3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317)[0x29e117]
/usr/lib/libgdk-x11-2.0.so.0[0x52293a]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16d)[0xafb09d]
/usr/lib/libglib-2.0.so.0[0xafe32f]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0xafe6d9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x29e594]
gconf-editor[0x805d8fc]
/lib/libc.so.6(__libc_start_main+0xdc)[0x9747e4]
gconf-editor[0x804f531]
======= Memory map: ========
00101000-0013d000 r-xp 00000000 03:02 1901995    /usr/lib/libpango-1.0.so.0.1200.0
0013d000-0013f000 rwxp 0003b000 03:02 1901995    /usr/lib/libpango-1.0.so.0.1200.0
00141000-00168000 r-xp 00000000 03:02 1903387   
/usr/lib/libpangoft2-1.0.so.0.1200.0
00168000-00169000 rwxp 00027000 03:02 1903387   
/usr/lib/libpangoft2-1.0.so.0.1200.0
0016b000-00172000 r-xp 00000000 03:02 1903421    /usr/lib/libXi.so.6.0.0
00172000-00173000 rwxp 00007000 03:02 1903421    /usr/lib/libXi.so.6.0.0
00175000-0017d000 r-xp 00000000 03:02 1903417   
/usr/lib/libpangocairo-1.0.so.0.1200.0
0017d000-0017e000 rwxp 00007000 03:02 1903417   
/usr/lib/libpangocairo-1.0.so.0.1200.0
00180000-0049d000 r-xp 00000000 03:02 1903464    /usr/lib/libgtk-x11-2.0.so.0.800.15
0049d000-004a5000 rwxp 0031d000 03:02 1903464    /usr/lib/libgtk-x11-2.0.so.0.800.15
004a5000-004a8000 rwxp 004a5000 00:00 0
004aa000-004c1000 r-xp 00000000 03:02 1901993   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.15
004c1000-004c2000 rwxp 00016000 03:02 1901993   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.15
004c4000-004de000 r-xp 00000000 03:02 1903431   
/usr/lib/libatk-1.0.so.0.1113.0004de000-004e0000 rwxp 00019000 03:02 1903431   
/usr/lib/libatk-1.0.so.0.1113.0004e2000-00569000 r-xp 00000000 03:02 1903429   
/usr/lib/libgdk-x11-2.0.so.0.800.15
00569000-0056c000 rwxp 00087000 03:02 1903429    /usr/lib/libgdk-x11-2.0.so.0.800.15
0056e000-005bf000 r-xp 00000000 03:02 1903385    /usr/lib/libcairo.so.2.2.4
005bf000-005c0000 rwxp 00051000 03:02 1903385    /usr/lib/libcairo.so.2.2.4
005c2000-005cb000 r-xp 00000000 03:02 1903427    /usr/lib/libXcursor.so.1.0.2
005cb000-005cc000 rwxp 00008000 03:02 1903427    /usr/lib/libXcursor.so.1.0.2
005ce000-005df000 r-xp 00000000 03:02 619684     /lib/libnsl-2.4.so
005df000-005e0000 r-xp 00010000 03:02 619684     /lib/libnsl-2.4.so
005e0000-005e1000 rwxp 00011000 03:02 619684     /lib/libnsl-2.4.so
005e1000-005e3000 rwxp 005e1000 00:00 0
005e5000-005e7000 r-xp 00000000 03:02 619688     /lib/libcom_err.so.2.1
005e7000-005e8000 rwxp 00001000 03:02 619688     /lib/libcom_err.so.2.1
005ea000-005f9000 r-xp 00000000 03:02 619687     /lib/libresolv-2.4.so
005f9000-005fa000 r-xp 0000e000 03:02 619687     /lib/libresolv-2.4.so
005fa000-005fb000 rwxp 0000f000 03:02 619687     /lib/libresolv-2.4.so
005fb000-005fd000 rwxp 005fb000 00:00 0
005ff000-00623000 r-xp 00000000 03:02 1907545    /usr/lib/libk5crypto.so.3.0
00623000-00624000 rwxp 00024000 03:02 1907545    /usr/lib/libk5crypto.so.3.0
00626000-0062d000 r-xp 00000000 03:02 1897485    /usr/lib/libpopt.so.0.0.0
0062d000-0062e000 rwxp 00006000 03:02 1897485    /usr/lib/libpopt.so.0.0.0
00630000-00648000 r-xp 00000000 03:02 1910031    /usr/lib/libgssapi_krb5.so.2.2
00648000-00649000 rwxp 00017000 03:02 1910031    /usr/lib/libgssapi_krb5.so.2.2
0064b000-0076a000 r-xp 00000000 03:02 619689     /lib/libcrypto.so.0.9.8a
0076a000-0077d000 rwxp 0011e000 03:02 619689     /lib/libcrypto.so.0.9.8a
0077d000-00780000 rwxp 0077d000 00:00 0
00782Killed
Comment 4 Austin Jackson 2006-03-29 23:18:45 EST
2.14.0-1 (released 3/29/06) seems to have fixed the problem.
Comment 5 Ray Strode [halfline] 2006-03-30 00:23:50 EST
Hi Austin,

Great to hear. :-) Closing...

*** This bug has been marked as a duplicate of 186479 ***
Comment 6 Ray Strode [halfline] 2006-03-30 22:10:53 EST
*** Bug 187219 has been marked as a duplicate of this bug. ***
Comment 7 Dave Tapley 2006-03-31 00:16:31 EST
Cheers guys, working my end now.

Steps to Reproduce:
1. Remember to update before submitting
2. Enjoy cool beer

Note You need to log in before you can comment on or make changes to this bug.